<?php

namespace XF;

class Options extends \ArrayObject
{
	public function __construct(array $array = [])
	{
		parent::__construct($array, \ArrayObject::ARRAY_AS_PROPS);
	}

	/**
	 * @param mixed $key
	 *
	 * @return mixed
	 */
	#[\ReturnTypeWillChange]
	public function &offsetGet($key)
	{
		try
		{
			$value = parent::offsetGet($key);
		}
		catch (\ErrorException $e)
		{
			if (\XF::$debugMode)
			{
				throw $e;
			}

			$value = null;
			\XF::logException($e);
		}

		return $value;
	}
}
